Class {
	#name : #GrafoscopioTextModel,
	#superclass : #ComposableModel,
	#instVars : [
		'body'
	],
	#category : #'Grafoscopio-UI'
}

{ #category : #specs }
GrafoscopioTextModel class >> defaultSpec [

	^ SpecLayout composed add: #body
]

{ #category : #accessing }
GrafoscopioTextModel >> body [
	^ body
]

{ #category : #accessing }
GrafoscopioTextModel >> body: anObject [
	body := anObject
]

{ #category : #API }
GrafoscopioTextModel >> content: aGrafoscopioNodeContent [
	body text: aGrafoscopioNodeContent
]

{ #category : #initialization }
GrafoscopioTextModel >> initializeWidgets [

	body := self newText.
	body beForText.
	body autoAccept: true.
]
